pike8.0 (8.0.610-1build1) cosmic; urgency=medium

  * No-change rebuild against libsass1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Jul 2018 17:27:59 +0000

pike8.0 (8.0.610-1) unstable; urgency=low

  * New upstream release.
  * New package pike8.0-web-sass for the new Web.Sass module, which links
    with libsass.
  * Drop misplaced_MAXPATHLEN.patch; obsolete.
  * Drop support for GTK+ 2 (Closes: #885673).
  * no_nostartfiles.patch: Don't use -nostartfiles when linking shared
    modules (Closes: #892574). Thanks to Adrian Bunk.
  * postgres_10_detect.patch (from upstream): Detect Postgres 10.x and
    later.
  * Switch VCS URLs after Alioth decommissioned.
  * Add lib-dev as build dependency so that Image.WebP can actually work.
  * Exclude modules FSEvents (only works on MacOS X), COM (only works on
    Windows), and VCDiff (requires the open-vcdiff library).
  * Bump Standards-Version to 4.1.4.
  * Remove inactive uploader from debian/control.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 24 Jun 2018 01:07:57 +0200

pike8.0 (8.0.498-1) unstable; urgency=low

  * New upstream stable release.
  * Replace Priority: extra with Priority: optional.
  * Make the module dumping trigger "noawait", as Lintian suggests is the
    right thing for packages that use the trigger to compile a form of
    cache.
  * Bump Standards-Version to 4.1.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 12 Nov 2017 00:17:52 +0100

pike8.0 (8.0.438-1) unstable; urgency=low

  * New upstream stable release.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 26 Jul 2017 10:37:58 +0200

pike8.0 (8.0.388-2) unstable; urgency=low

  * Run src/run_autoconfig before compiling and run configure in a
    separate target; don't patch configure scripts, only their
    configure.in sources. Also refresh patches and augment some
    descriptions. This also avoids problems with configure complaining
    about being last changed in the future when it was in fact last
    changed right now.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 15 Jan 2017 22:26:12 +0100

pike8.0 (8.0.388-1) unstable; urgency=low

  * New upstream stable release.
  * debian/watch: stop looking for beta versions.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 10 Jan 2017 20:18:50 +0100

pike8.0 (8.0.370-1) unstable; urgency=low

  * New upstream stable release.
  * debian/rules fixes: Add build-indep as a prerequisite of the build
    target now that autobuilders use build-arch; declare build-indep and
    build-arch phony; various cleanup.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 18 Dec 2016 22:15:56 +0100

pike8.0 (8.0.358-1) unstable; urgency=low

  * New upstream stable release.
  * Drop autodoc.patch; fully incorporated upstream.
  * Build-Depend on default-libmysqlclient-dev instead of
    libmysqlclient-dev.
  * Switch to Debhelper compat level 9.
  * Build against libkrb5-dev instead of heimdal-dev (Closes: #845146).
  * dont_disable_debug_symbols.patch (new): Leave debug symbol and
    optimization flags alone when building GL and GTK2 modules.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 22 Nov 2016 23:14:34 +0100

pike8.0 (8.0.276-1) unstable; urgency=low

  * New upstream stable release.
  * autodoc.patch: incorporated upstream except for one hunk.
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 29 Jul 2016 11:43:58 +0200

pike8.0 (8.0.240-1) unstable; urgency=low

  * New upstream stable release.
  * autodoc.patch (new): Fix typos in inline documentation that broke some
    of it.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 30 May 2016 22:40:06 +0200

pike8.0 (8.0.182-1) unstable; urgency=low

  * New upstream stable release.
  * Remove unnecessary files from the tzdata directory of the Calendar
    module.
  * Remove execute permission from .h files.
  * Bump Standards-Version to 3.9.7.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 26 Mar 2016 00:13:33 +0100

pike8.0 (8.0.164-1) unstable; urgency=low

  * New upstream release.
  * Drop freetype_2.6_typeof.patch; incorporated upstream.
  * Merge pike8.0-manual and pike8.0-reference.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 09 Feb 2016 21:33:00 +0100

pike8.0 (8.0.28-4) unstable; urgency=low

  * Update Homepage URL to http://pike.lysator.liu.se.
  * freetype_2.6_typeof.patch (new): Fix FTBFS with Freetype 2.6.
  * Replace dh_clean -k with dh_prep.
  * Merge changes from 7.8.866-3 (except Kerberos modules are in
    pike8.0-kerberos).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Sep 2015 20:05:50 +0200

pike8.0 (8.0.28-3) unstable; urgency=medium

  * pike8.0-core.postrm, pike8.0-core.lintian-overrides: Change missed
    instances of old version number to 8.0 (Closes: #793676).

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 03 Aug 2015 18:52:52 +0200

pike8.0 (8.0.28-2) unstable; urgency=low

  * Upload to unstable.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 22 Jun 2015 19:57:20 +0200

pike8.0 (8.0.28-1) experimental; urgency=low

  * New major upstream version.
    - Drops compatibility support for versions prior to 7.6.
  * Update debian/watch to look for 8.0 tarballs in
    http://pike.lysator.liu.se/download/pub/pike/all/
  * Bump Standards-Version to 3.9.6.
  * Drop pcre_info_obsolete.patch; fixed upstream.
  * Disable the deprecated Pike security system.
  * Drop debian/source/lintian-overrides; upstream has dropped the bundles
    system which brought the old autotools helper files.
  * Build with libgtksourceview2.0-dev.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 15 Mar 2015 21:28:40 +0100

pike7.8 (7.8.866-4) unstable; urgency=medium

  * Update Homepage URL to http://pike.lysator.liu.se.
  * freetype_2.6_typeof.patch (new): Fix FTBFS with Freetype 2.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Sep 2015 18:13:55 +0200

pike7.8 (7.8.866-3) unstable; urgency=low

  * debian/copyright: Delete paragraph about repacked upstream tarball,
    which hasn't been the case since 7.8.700-1.
  * debian/copyright: Update from COPYRIGHT.
  * debian/copyright: Add reference to COMMITTERS.
  * Add libgtksourceview2.0-dev as a build dependency to enable the
    GTK2.SourceView module.
  * Add heimdal-dev as a build dependency to enable the Kerberos and
    GSSAPI modules. Move said modules to a new pike7.8-kerberos package.
  * smartlink_verbose.patch: Make the smartlink script print the build
    commands it's executing to allow build log checks.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 04 Aug 2014 22:32:03 +0200

pike7.8 (7.8.866-2) unstable; urgency=low

  * Upload to unstable.
  * Correct watch URL.
  * Correct Vcs-Svn URI again; should use anonscm.debian.org.
  * bad_size_t_redef.patch: Fix undefined behaviour/buffer overruns in
    module _Image_JPEG on 64-bit architectures due to broken redefinition
    of size_t (Closes: #750430).
  * Use dh_installdocs --link-doc to create doc symlinks in module
    packages.
  * Replace GPL and LGPL license texts used by Tools.Legal.License with
    symlinks to corresponding files in /usr/share/common-licenses.
    Override remaining Lintian warnings about GPL.pmod and LGPL.pmod,
    which do not include the license texts themselves.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 02 Aug 2014 21:47:30 +0200

pike7.8 (7.8.866-1) experimental; urgency=low

  * New upstream beta version.
  * debian/control: Correct Vcs-Svn URI.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 07 Jun 2014 12:59:38 +0200

pike7.8 (7.8.852-1) experimental; urgency=low

  * New upstream beta version.
  * Drop reg_enum_conflict.patch and nettle_crypt_md5_buffer_size.patch;
    incorporated upstream. Refresh remaining patches.
  * Bump Standards-Version to 3.9.5.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 22 Apr 2014 19:38:46 +0200

pike7.8 (7.8.700-7) unstable; urgency=low

  * Correct the Replaces and Breaks declarations related to moving
    Tools.PV (Closes: #711593).
  * Also move compatibility Image module to pike7.8-image.
  * Modify package descriptions noting what modules are in each package
    and that the Postgres module is deprecated.
  * Update Vcs-Browser URL.
  * Actually apply undefined_htons.patch.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 08 Jun 2013 20:15:11 +0200

pike7.8 (7.8.700-6) unstable; urgency=low

  * hurd.patch: Add mach/message.h to one more place in src/configure and 
    add HAVE_MACH_MESSAGE_H to src/machine.h.in.
  * nettle_crypt_md5_buffer_size.patch (new): Nette.MD5: passwd array was
    too small.
  * pcre_info_obsolete.patch (new): Stop using the long-obsolete
    pcre_info(), which was just recently removed from the headers but
    remains in the library.
  * undefined_htons.patch (mew): Include the necessary header file
    declaring htons() in Protocols.DNS_SD.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 08 Jun 2013 01:56:51 +0200

pike7.8 (7.8.700-5) unstable; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev (Closes: #708365).
  * Move Tools.PV from -core to -gtk and make -gtk depend on -image, since
    Tools.PV requires both but is too small to make its own package
    (Closes: #711060).
  * hurd.patch (new): Make Pike build on Debian GNU/Hurd.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 06 Jun 2013 22:53:05 +0200

pike7.8 (7.8.700-4) unstable; urgency=low

  * reg_enum_conflict.patch: The conflict is with an enum, so we have to
    rename our enum constants (really Closes: #708366). Also add DEP-3
    header.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 26 May 2013 21:35:09 +0200

pike7.8 (7.8.700-3) unstable; urgency=low

  * Link pike7.8-odbc to unixodbc, not iodbc, since the latter is not
    multiarch-aware and not capable of handling the ODBC drivers in
    wheezy (Closes: #707911).
  * reg_enum_conflict.patch (new): Undefine conflicting REG_* definitions
    for now (Closes: #708366).

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 23 May 2013 23:10:42 +0200

pike7.8 (7.8.700-2) unstable; urgency=low

  * Upload to unstable.
  * module-layout.patch: Use __REAL_MAJOR__ and __REAL_MINOR__ in
    version-specific include and module paths; __REAL_VERSION__, being a
    float, could allegedly cause trouble.
  * Bump Standards-Version to 3.9.4

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 07 May 2013 23:10:27 +0200

pike7.8 (7.8.700-1) experimental; urgency=low

  * New upstream release.
  * Since the upstream tarball no longer contains Nettle 1.15, which
    contained non-fee IETF documents, but instead Nettle 2.5, we can ship
    it unmodified.
  * Override the Lintian warnings about outdated config.guess files in the
    bundles directories, as they aren't used.
  * Drop nettle-2.1.patch. Refresh remaining patches.
  * Exclude the ZXID module for now, until zxid has been packaged for
    Debian.
  * No longer exclude the PV (picture viewer) tool, as it now supports
    GTK+2.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 07 Oct 2012 21:54:26 +0200

pike7.8 (7.8.550-dfsg-1) experimental; urgency=low

  * The latest official upstream "beta" release.
    - Dropped dumping_problems.patch; incorporated upstream.
    - unbreak_cross_compilation.patch partially incorporated upstream.
    * Update debian/watch to point to
      http://pike.ida.liu.se/download/pub/pike/beta/.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 25 Apr 2011 00:28:05 +0200

pike7.8 (7.8.352-dfsg-7) unstable; urgency=low

  * Correct Replaces/Breaks for the move of files in -6 (Closes: #678846).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 24 Jun 2012 19:40:32 +0200

pike7.8 (7.8.352-dfsg-6) unstable; urgency=low

  * Add to each module package a prerm script that deletes .o files for
    that package to avoid leaving empty directories around (Closes:
    #669955).
  * Move the Graphics, Colors, and Protocols.X.XImage module to the -image
    package, as those modules require the Image module. Likewise move the
    pmar_install standalone tool to the -dev package.
  * Link with --as-needed.
  * Avoid errors when dumping modules by processing the module directories
    (main and compatibility) separately.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 23 Jun 2012 20:57:14 +0200

pike7.8 (7.8.352-dfsg-5) unstable; urgency=low

  * Build with -O1 on i386 (Closes: #640818).
  * smartlink_rpath.patch: Update to recognize Linux 3.x.
  * Use dpkg-buildflags to set CFLAGS etc.
  * Some cleanup in debian/rules.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 18 Jun 2012 16:35:35 +0200

pike7.8 (7.8.352-dfsg-4) unstable; urgency=low

  * Correct description of pike7.8-pcre (Closes: #597867).
  * Convert to source format 3.0 (quilt).
  * nettle-2.1.patch (new): Adjust Nettle module to build with Nettle 2.1.
  * Build-depend on the new libgmp10-dev instead of libgmp3-dev.
  * dump_timeout.patch (new): Increase `pike -x dump' timeout to five
    minutes (Closes: #593436).
  * Replace the overkill build dependency gnome-core-devel with the
    slightly sleeker libgnomeui-dev, which should cover (together with
    libglade2-dev, which was already listed) everything that worked
    previously.
  * Move to 7.8-stable branch in SVN, modifying Vcs-Svn in debian/control
    to reflect this.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Mar 2011 17:55:07 +0100

pike7.8 (7.8.352-dfsg-3) unstable; urgency=low

  * Revert cflags.dpatch (which was actually never applied). Stripping the
    last component was no mistake; pike -x cflags is only meant to be used
    by new-style modules.
  * Change include_prefix to /usr/include/pike7.8/pike so that building
    new-style modules can work.
  * Dump modules starting at the top of /usr/lib/pike7.8 so that compat
    modules can also be dumped and master.pike won't have to be dumped
    separately.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 30 Jul 2010 23:10:38 +0200

pike7.8 (7.8.352-dfsg-2) unstable; urgency=low

  * Add trigger for dumping of Pike modules when pike7.8-core or any
    module package is installed.
  * Remove support for the unversioned local module and include
    directories (/usr/local/lib/pike/*) to avoid having to coordinate
    their creation and removal by multiple versions.
  * Drop apparently obsolete build-dep libgtkhtml2-dev.
  * Don't run update-alternatives --remove on upgrade.
  * Exclude Tools.PV, which requires GTK (not GTK2).
  * debian/rules, unbreak_cross_compilation.dpatch: Use the right gcc and
    pass --host=$(DEB_HOST_GNU_TYPE) to configure as necessary.  Fix
    various bugs preventing cross compilation (Closes: #582242). Thanks to
    Marc Dirix.
  * Exclude modules GDK, Gnome, and GTKSupport, which also are for
    GTK+/Gnome 1.2, and update the package description of pike7.8-gtk to
    reflect the fact that it provides GTK+ 2.0 bindings.
  * Disable --with-relocatable-dumped-modules; it doesn't seem that we
    need it and it doesn't seem to work 100% properly.
  * no_dump_modules.dpatch (new): Patch install.pike not to dump modules
    at build time (thus no need to exclude master.pike.o in debian/rules).
  * Move AutoDoc and module-related modules and standalone tools to -dev
    and let -dev depend on -image.
  * module-layout.dpatch: Move misplaced parenthesis that caused the wrong
    local include directory to be added.
  * Build-depend on libmysqlclient-dev instead of libmysqlclient15-dev,
    which is now a virtual package provided by the former.
  * dumping_problems.dpatch (new): Patch from CVS fixing problems encoding
    the master object when dumping some modules.
  * cflags.dpatch (new): Make pike -x cflags print include_prefix as-is
    instead of stripping the last component.
  * Drop pike7.8-config; pike -x cflags and pike --dumpversion fills its
    functions.
  * Some changes in the meta package relationships.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 30 Jul 2010 13:17:35 +0200

pike7.8 (7.8.352-dfsg-1) experimental; urgency=low

  * New upstream release.
  * 01_master.in.dpatch: Renamed module-layout.dpatch.
  * module-layout.dpatch, debian/*.install, debian/rules:
    * Change Pike module and include paths to
      /usr/lib/pike7.8/modules and /usr/lib/pike7.8/include,
      respectively. Use the same but under /usr/local for locally built
      modules and include files. 
      C header files are moved to /usr/include/pike7.8.
  * module-layout.dpatch:
    * Patch module.pike to install modules in /usr/local/pike7.8/modules
      by default, and in the the normal /usr/pike7.8/modules if passed the
      --debian option.
    * dynamic_module_makefile: Prepend $(DESTDIR) to installation directory,
      to facilitate package building.
  * debian/rules, debian/specs.in: Reinstate own, simplified, updated
    specs file.
  * debian/rules: Fix /usr/include/pike7.8/precompike.pike, which tried to
    #include ../lib/Tools.pmod/Standalone.pmod/precompike.pike, which only
    works with the --new-style directory layout.
  * debian/control: Add ${misc:Depends} to all dependency lists.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 18 Apr 2010 23:46:47 +0200

pike7.8 (7.8.350-dfsg-1) experimental; urgency=low

  * New upstream version.
    - Drop nettle_2.0.dpatch.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 22 Sep 2009 08:35:09 +0200

pike7.8 (7.8.316-dfsg-1) experimental; urgency=low

  * New upstream release.
  * 'bundles' subdirectory deleted from upstream tarball.
  * Skip the pike -x module fix; it doesn't seem necessary and was also
    currently broken.
  * Switch to Nettle 2.0 (Build-Depend on nettle-dev instead of
    libnettle-dev).
    + nettle_2.0.dpatch: Temporarily include changes made in upstream CVS
      to accommodate the API changes.
  * Increase Debhelper compat level to 5.
  * 05_install.pike.dpatch (disabled): The passing-on of lib_prefix was
    fixed upstream, so this patch now instead does that with share_prefix
    and modifies install.pike to use it. The rest of the package is not
    quite ready though, so the patch is disabled for now.
  * Refresh all other patches.
  * Instead of patching shebangs and fixing execute permissions, simply
    remove them from all Pike scripts. None of them are meant to be run
    directly anyway.
  * Point Vcs-Svn and Vcs-Browser at svn.debian.org.
  * Add debian/README.source.
  * Use $(filter) instead of $(findstring) to parse DEB_BUILD_OPTIONS.
  * Increase Standards-Version to 3.8.3.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 11 Sep 2009 20:56:49 +0200

pike7.8 (7.8.116-1) experimental; urgency=low

  * New major upstream release; new package name (Closes: #411685, #538994).
    + New modules: SQLite, Fuse, DNS-SD, and FFTW.
    - Perl module removed.
  * Modify debian/watch to track the latest 7.8 version using uscan's 
    recursive capabilities.
  * debian/control: 
    * Bumped standards to version 3.8.0.
    + Added build dependency on libfftw3-dev.
    + Added build dependency on libavahi-compat-libdnssd-dev.
    + Created new binary package 'pike-dnssd' for pike DNS-SD module.
    - Dropped the dependencies on libpng12-dev and libreadline5-dev.
  * debian/rules: 
    - Removed '--with-perl' from CFARGS as perl module is deprecated.
    * Fixed path to dynamic_module_makefile in install rule.
    * Rewrote shell trickery to determine DEBVERSION as previous method did
      not work correctly in all cases.
    - Enable GTK2 module as it has much better support in 7.8.
    - Fixed CFARGS quoting issues.
    - Specifically disable DVB and Oracle in CFARGS.
    - Tidy things up a bit.
  * debian/patches/05_install.pike.dpatch: refreshed.
  * debian/patches/07_dynamic_module_makefile.in-libgcc.dpatch: refreshed.
  * debian/copyright: Point at versioned copy of GPL and LGPL.
  * Big thanks to Cody A.W. Somerville <cody-somerville@ubuntu.com> who did
    most the the work.
  * Rename the metapackage that depends on all Pike packages pike7.8-full,
    -full being a more common suffix for such a package.
  * pike7.8-core.postinst: Increase update-alternatives priority.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 02 Aug 2009 20:46:08 +0200

pike7.6 (7.6.116-1) experimental; urgency=low

  * The latest downloadable "beta" release of the 7.6 branch.
  * Modify debian/watch to track the beta download directory.
  * Update debian/copyright.
  * debian/rules: Modify quoting of strings inside the long string of
    configure arguments.
  * debian/control: Adjust Vcs-Svn field.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 17 May 2008 16:59:04 +0200

pike7.6 (7.6.112-4) unstable; urgency=low

  * 12_perl_init.dpatch: Don't use .bak as filename extension for the
    original of the patched file (Closes: #512539). Thanks to Robert
    Millan for spotting this.
  * pike7.6-core.postinst: Don't use absolute path to call
    update-alternatives (Closes: #510941).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 25 Jan 2009 21:58:33 +0100

pike7.6 (7.6.112-3) unstable; urgency=medium

  * 12_perl_init.dpatch (new): Fix silent build failure on hppa (Closes:
    #486066). Thanks to Niko Tyni.
  * Correct co-maintainer email address.
  * Correct spelling in package descriptions.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 24 Jun 2008 20:22:18 +0200

pike7.6 (7.6.112-2) unstable; urgency=low

  * Increase Standards-Version to 3.7.3:
    * debian/menu: change section from Apps/Programming to
      Applications/Programming.
  * Fix capitalization issues in package descriptions and remove
    superfluous occurrences of upstream homepage URL.
  * New maintainer email address.
  * Work around build failures on alpha by removing build-indep from the
    prerequisites of build.
  * Drop the versioned dependency on freeglut3-dev (>= 2.2.0-6.1) for
    alpha and hppa since even sarge has 2.2.0-8.
  * Correct doc-base section according to new section list.
  * 11_pthread_stub.dpatch: Make sure configure doesn't think
    pthread_atfork() works just because it exists, when it's in fact a
    stub. (Closes: #462998). Thanks to Samuel Thibault.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 09 May 2008 21:11:28 +0200

pike7.6 (7.6.112-1) unstable; urgency=low

  [ Henrik Andreasson ]
  * The latest upstream release

  [ Magnus Holmgren ]
  * New maintainers (Closes: #411684).
  * Use dpatch to apply patches.
  * really apply the following patches from the .93-4 release:
    * Removed Image TTF module to drop the dependency on oldlibs 
      `freetype1'. (Closes: #431784)
    * Added a patch by Samuel Thibault to fix a FTBFS bug on hurd-i386.
      (Closes: #434581)
  * Radically clean up debian/rules (Closes: #424334).
  * Manuals are again built during the binary build process so that 
    official tarballs can be used to build the package.
  * Delete redundant dhelp files (dhelp uses doc-base metadata since
    long ago).
  * Change directory structure and get rid of an unnecessary directory level 
    (by installing with --traditional instead of --new-style):
    - Pike modules and include files, and master.pike are now in
      /usr/lib/pike/<version> instead of /usr/lib/pike/<version>/lib.
    - The pike executable is now in /usr/bin itself, instead of in 
      /usr/lib/pike/<version>/bin with a symlink in /usr/bin.
    - .pike and .pmod files are no longer moved to /usr/share/pike. It's
      not that important that all files in /usr/lib are actually 
      platform-specific. All the symlinks are thus eliminated.
  * Move modules GLU and GLUE to pike7.6-gl, where they belong.
    GLUE.Drivers.GTK removed since it depends on GTK, which was dropped
    previously.
  * Make pike7.6-dev Architecture: any.
  * No longer use own version of specs.in - fix the configure parameters
    instead.
  * Fix 01_master.in.dpatch - the Debian-specific add_*_path() calls were
    completely off.
  * Add debian/watch (checking for latest official stable release).
  * Drop 03_language.yacc_bison_fix.dpatch; it no longer has any effect.
  * Add Mird to the module exclusion list.
  * Add Vcs fields to debian/control.

 -- Magnus Holmgren <magnus@kibibyte.se>  Fri, 21 Dec 2007 09:29:03 +0100

pike7.6 (7.6.93-4) unstable; urgency=low

  * QA upload.
  * Removed Image TTF module to drop the dependency on oldlibs 
    `freetype1'. (Closes: #431784)
  * Added a patch by Samuel Thibault to fix a FTBFS bug on hurd-i386.
    (Closes: #434581)
  * Converted `debian/copyright' to UTF-8.
  * Make the package binNMU-able by appropriately replacing	`Source-Version'
    in `debian/control'.
  * Added a `Homepage' field.

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Dec 2007 18:55:16 +0100

pike7.6 (7.6.93-3) unstable; urgency=low 

   * QA upload.
   * Set maintainer to QA Group; Orphaned: #411684
   * Conforms with latest Standards Version 3.7.2
   * Remove duplicate build-dependency on debhelper
   * Add quotes to debian/menu

 -- Michael Ablassmeier <abi@debian.org>  Thu, 15 Mar 2007 10:29:51 +0100 

pike7.6 (7.6.93-2) unstable; urgency=low 

   * Please change postgresql-dev build dependency to libpq-dev (Closes:
     #409770)

 -- Marek Habersack <grendel@debian.org>  Tue, 13 Feb 2007 18:41:28 +0100

pike7.6 (7.6.93-1) unstable; urgency=low

  * The latest cvs snapshot
  * Please don't ship pike7.6-gtk (Closes: #387503)
    gtk1 modules removed because of debian dropping support for gtk1.
    At the same time, the pike7.6-gtk module is disabled, since gtk2
    stuff in it doesn't seem to compile without gtk1 devel packages
    around.
  * pike epoll not included. (Closes: #264206)
    This can only be fixed by making sure that the debian autobuilders
    all support epoll, which is beyond the pike maintainer's powers :)

 -- Marek Habersack <grendel@debian.org>  Wed,  4 Oct 2006 13:11:55 +0200

pike7.6 (7.6.92-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Mon, 2 Oct 2006 15:20:43 +0200

pike7.6 (7.6.91-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Thu, 14 Sep 2006 14:44:33 +0200

pike7.6 (7.6.90-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Thu, 14 Sep 2006 14:42:53 +0200

pike7.6 (7.6.89-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Tue, 22 Aug 2006 18:26:40 +0200

pike7.6 (7.6.88-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Tue, 22 Aug 2006 18:16:59 +0200

pike7.6 (7.6.87-2) unstable; urgency=low

  * Shortened the long descriptions of several binary packages
  * Added short description of pike, plus an url, to the description of
    the pike modules binary packages

 -- Marek Habersack <grendel@debian.org>  Sun, 9 Aug 2006 01:28:37 +0200

pike7.6 (7.6.87-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Sun, 4 Jun 2006 22:21:07 +0200

pike7.6 (7.6.86-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sun, 4 Jun 2006 22:17:43 +0200

pike7.6 (7.6.85-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Sun, 4 Jun 2006 15:33:52 +0200

pike7.6 (7.6.84-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sun, 4 Jun 2006 15:29:49 +0200

pike7.6 (7.6.83-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Thu, 1 Jun 2006 10:29:09 +0200

pike7.6 (7.6.82-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Thu, 1 Jun 2006 10:26:10 +0200

pike7.6 (7.6.81-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Thu, 1 Jun 2006 9:42:41 +0200

pike7.6 (7.6.80-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Thu, 1 Jun 2006 9:38:38 +0200

pike7.6 (7.6.79-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Fri, 26 May 2006 8:03:10 +0200

pike7.6 (7.6.78-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Fri, 26 May 2006 7:53:46 +0200

pike7.6 (7.6.77-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Wed, 17 May 2006 10:58:45 +0200

pike7.6 (7.6.76-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 17 May 2006 10:56:26 +0200

pike7.6 (7.6.75-3) unstable; urgency=low

  * New GL dependency

 -- Marek Habersack <grendel@debian.org>  Wed, 10 May 2006 11:51:03 +0200

pike7.6 (7.6.75-2) unstable; urgency=low

  * Cleanup build-dependencies (Closes: #365787)
      libpng3-dev -> libpng12-dev
      'freeglut3-dev | libglut3-dev' -> freeglut3-dev
    Patch from Stefan Huehner <stefan@huehner.org>, thanks.

 -- Marek Habersack <grendel@debian.org>  Tue,  9 May 2006 21:56:32 +0200

pike7.6 (7.6.75-1) unstable; urgency=low

  * The latest cvs snapshot
  * Removed the ssl fix patch since the upstream contains a better one
    now.
  * pike7.6-mysql: Uinstallable; dependency on libmysqlclient15 
    (Closes: #360325)
    Recompiled to correct the binary dependencies.

 -- Marek Habersack <grendel@debian.org>  Wed,  5 Apr 2006 12:59:11 +0200

pike7.6 (7.6.74-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sun, 2 Apr 2006 20:08:53 +0200

pike7.6 (7.6.73-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Sun, 2 Apr 2006 12:51:39 +0200

pike7.6 (7.6.72-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sun, 2 Apr 2006 12:50:37 +0200

pike7.6 (7.6.71-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sun, 2 Apr 2006 12:47:53 +0200

pike7.6 (7.6.70-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sun, 2 Apr 2006 12:43:57 +0200

pike7.6 (7.6.69-1) unstable; urgency=low

  * The latest cvs snapshot
  * not installable in sid (Closes: #359231)
    Made the meta packages binary NMU safe
  * Added an SSL fix that should fix steam
  * pike7.6-core: doesn't clean out /usr/local stuff (Closes: #355413)
    The directories are removed on purge in postrm if they are empty.

 -- Marek Habersack <grendel@debian.org>  Thu, 30 Mar 2006 12:51:20 +0200

pike7.6 (7.6.68-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Thu, 2 Mar 2006 23:47:25 +0100

pike7.6 (7.6.67-1) unstable; urgency=low

  * The latest cvs snapshot
  * Please upgrade build depends to libmysqlclient15-dev (Closes:
    #343794)
  * The pike package is present in sarge but missing from etch. (Closes:
    #342650)

 -- Marek Habersack <grendel@debian.org>  Tue, 31 Jan 2006 21:28:38 +0100

pike7.6 (7.6.66-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sun, 22 Jan 2006 21:46:24 +0100

pike7.6 (7.6.65-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Fri, 6 Jan 2006 18:44:19 +0100

pike7.6 (7.6.64-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Fri, 6 Jan 2006 18:43:05 +0100

pike7.6 (7.6.63-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Fri, 6 Jan 2006 17:31:52 +0100

pike7.6 (7.6.62-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Fri, 6 Jan 2006 17:30:24 +0100

pike7.6 (7.6.61-1) unstable; urgency=low

  * The latest cvs snapshot
  * dynamic_module_makefile moved to pike7.6-core since it contains
    platform-specific stuff. Also included a patch to detect the
    libgcc.a path dynamically.
  * pike7.6-dev depends on pike7.6-core now. It is necessary to both
    pull in dynamic_module_makefile and to enable compilation of modules
    with pike -x
  * Updated the patch for include_prefix change in install.pike
  * Closes: Bug#345329: pike-public.parser.xml2 - FTBFS:
    gcc: /usr/lib/gcc/i486-linux-gnu/4.0.3/libgcc.a: No such file or
    directory - Debian Bug report logs
  * Closes: Bug#345330: pike-public.network.pcap - FTBFS:
    gcc: /usr/lib/gcc/i486-linux-gnu/4.0.3/libgcc.a: No such file or
    directory - Debian Bug report logs

 -- Marek Habersack <grendel@debian.org>  Fri, 30 Dec 2005 17:35:50 +0100

pike7.6 (7.6.60-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 21 Dec 2005 0:23:28 +0100

pike7.6 (7.6.59-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Tue, 20 Dec 2005 15:28:39 +0100

pike7.6 (7.6.58-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Tue, 20 Dec 2005 15:26:59 +0100

pike7.6 (7.6.57-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 19 Dec 2005 5:06:53 +0100

pike7.6 (7.6.56-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Mon, 19 Dec 2005 5:05:38 +0100

pike7.6 (7.6.55-2) unstable; urgency=low

  * Fix for -x module

 -- Marek Habersack <grendel@debian.org>  Sun,  4 Dec 2005 02:58:15 +0100

pike7.6 (7.6.55-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Fri, 2 Dec 2005 13:16:33 +0100

pike7.6 (7.6.54-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Fri, 2 Dec 2005 13:13:38 +0100

pike7.6 (7.6.53-1) unstable; urgency=low

  * The latest cvs snapshot
  * One more monger fix
  * A kFreeBSD build fix

 -- Marek Habersack <grendel@debian.org>  Tue, 29 Nov 2005 17:34:06 +0100

pike7.6 (7.6.52-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Tue, 29 Nov 2005 17:25:19 +0100

pike7.6 (7.6.51-2) unstable; urgency=low

  * pike7.6_7.6.33-2 (alpha/unstable): FTBFS: glibc aborts in free()
    (Closes: #333072)
  * pike7.4-core: doesn't clean out /usr/local stuff (Closes: #339963)

 -- Marek Habersack <grendel@debian.org>  Mon, 21 Nov 2005 21:21:23 +0100

pike7.6 (7.6.51-1) unstable; urgency=low

  * The latest cvs snapshot
  * Some fixes to make pike -x module work better on Debian.
  * Manuals are no longer built during the binary build process. Instead,
    they are contained in the .orig tarball.

 -- Marek Habersack <grendel@debian.org>  Mon, 21 Nov 2005 21:20:49 +0100

pike7.6 (7.6.50-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 2 Nov 2005 17:38:26 +0100

pike7.6 (7.6.49-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 31 Oct 2005 12:46:27 +0100

pike7.6 (7.6.48-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Mon, 31 Oct 2005 12:42:24 +0100

pike7.6 (7.6.47-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Wed, 26 Oct 2005 9:50:48 +0200

pike7.6 (7.6.46-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 26 Oct 2005 9:49:35 +0200

pike7.6 (7.6.45-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Tue, 25 Oct 2005 14:23:53 +0200

pike7.6 (7.6.44-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Tue, 25 Oct 2005 14:22:34 +0200

pike7.6 (7.6.43-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Tue, 25 Oct 2005 10:38:49 +0200

pike7.6 (7.6.42-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Tue, 25 Oct 2005 10:37:42 +0200

pike7.6 (7.6.41-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 24 Oct 2005 11:59:56 +0200

pike7.6 (7.6.40-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Mon, 24 Oct 2005 11:58:49 +0200

pike7.6 (7.6.39-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 17 Oct 2005 12:13:55 +0200

pike7.6 (7.6.38-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Mon, 17 Oct 2005 12:12:44 +0200

pike7.6 (7.6.37-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Wed, 12 Oct 2005 1:34:07 +0200

pike7.6 (7.6.36-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 12 Oct 2005 1:31:42 +0200

pike7.6 (7.6.35-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Sat, 20 Aug 2005 16:26:02 +0200

pike7.6 (7.6.34-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sat, 20 Aug 2005 16:24:41 +0200

pike7.6 (7.6.33-2) unstable; urgency=low

  * /usr/lib/pike/7.6.24/include/pike/specs is missing (Closes: #322851)
    Using own version of specs.in, since the pike-generated one does not
    make sense on a Debian system.
  * Updated the Standards-Version, no changes

 -- Marek Habersack <grendel@debian.org>  Tue, 16 Aug 2005 13:38:09 +0200

pike7.6 (7.6.33-1) unstable; urgency=high

  * The latest cvs snapshot
  * Again urgency high to rush the recompile so that Caudium 1.4 can
    be recompiled on the non-x86 architectures. The previous upload
    of Pike was a bit rushed.

 -- Marek Habersack <grendel@debian.org>  Thu, 28 Jul 2005 13:04:41 +0200

pike7.6 (7.6.32-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Thu, 28 Jul 2005 13:02:47 +0200

pike7.6 (7.6.31-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Wed, 27 Jul 2005 14:24:49 +0200

pike7.6 (7.6.30-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 27 Jul 2005 14:22:53 +0200

pike7.6 (7.6.29-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Fri, 22 Jul 2005 22:20:25 +0200

pike7.6 (7.6.28-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Fri, 22 Jul 2005 22:18:34 +0200

pike7.6 (7.6.27-2) unstable; urgency=high

  * Force a recompile to match the new libgmp3 package name

 -- Marek Habersack <grendel@debian.org>  Tue, 19 Jul 2005 12:06:53 +0200

pike7.6 (7.6.27-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Thu, 26 May 2005 02:12:22 +0200

pike7.6 (7.6.24-2) unstable; urgency=low

  * Closes: #310631: debian/rules version detection could be better
    Thanks to Matthias Klose <doko@cs.tu-berlin.de> for providing the
    patch.
  * Closes: #282939: fails to start in interactive mode
    No longer happens with the newer Pike 7.6 versions.

 -- Marek Habersack <grendel@debian.org>  Thu, 26 May 2005 02:48:36 +0200

pike7.6 (7.6.24-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 22 Sep 2004 20:19:24 +0200

pike7.6 (7.6.23-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Wed, 22 Sep 2004 17:52:43 +0200

pike7.6 (7.6.22-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 22 Sep 2004 17:49:52 +0200

pike7.6 (7.6.21-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Tue, 21 Sep 2004 0:24:04 +0200

pike7.6 (7.6.20-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Tue, 21 Sep 2004 0:18:16 +0200

pike7.6 (7.6.19-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 20 Sep 2004 23:35:37 +0200

pike7.6 (7.6.18-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Mon, 20 Sep 2004 23:31:42 +0200

pike7.6 (7.6.17-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Sun, 19 Sep 2004 16:42:33 +0200

pike7.6 (7.6.16-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sun, 19 Sep 2004 16:39:58 +0200

pike7.6 (7.6.15-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Fri, 17 Sep 2004 13:26:37 +0200

pike7.6 (7.6.14-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Fri, 17 Sep 2004 13:21:58 +0200

pike7.6 (7.6.13-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Tue, 10 Aug 2004 15:32:25 +0200

pike7.6 (7.6.12-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Tue, 10 Aug 2004 15:29:54 +0200

pike7.6 (7.6.11-3) unstable; urgency=medium

  * Gotten rid of gdk-imlib1-dev build dependency
  * Delayed upload to wait for the indirect dependencies to get into
    the archives.

 -- Marek Habersack <grendel@debian.org>  Fri, 30 Jul 2004 14:36:10 +0200

pike7.6 (7.6.11-2) unstable; urgency=medium

  * Changed the build-dep from libxpm4-dev to libxpm-dev
  * Changed the build-dep from libtiff3g-dev to libtiff4-dev

 -- Marek Habersack <grendel@debian.org>  Sun, 25 Jul 2004 02:25:22 +0200

pike7.6 (7.6.11-1) unstable; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Thu, 1 Jul 2004 23:05:30 +0200

pike7.6 (7.6.10-1) unstable; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Thu, 1 Jul 2004 23:03:26 +0200

pike7.6 (7.6.9-2) unstable; urgency=low

  * Make sure all bugs filed against Pike 7.4 will not appear here
  * Pike 7.6 will replace Pike 7.4 in Debian soon.

 -- Marek Habersack <grendel@debian.org>  Wed,  9 Jun 2004 13:40:35 +0200

pike7.6 (7.6.9-1) unstable; urgency=low

  * The latest cvs snapshot
  * Added the full text of MPL 1.1 to the debian/copyright file

 -- Marek Habersack <grendel@debian.org>  Mon, 17 May 2004 20:14:30 +0200

pike7.6 (7.6.8-1) experimental; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Mon, 17 May 2004 20:12:55 +0200

pike7.6 (7.6.7-2) unstable; urgency=low

  * Better dependencies for the GL libraries

 -- Marek Habersack <grendel@debian.org>  Tue, 11 May 2004 16:18:21 +0200

pike7.6 (7.6.7-1) unstable; urgency=low

  * The latest upstream release. The most important changes since v7.4
    are listed in the upstream CHANGES file in the /usr/share/doc/pike7.6
    directory

 -- Marek Habersack <grendel@debian.org>  Wed, 5 May 2004 18:38:38 +0200

pike7.6 (7.6.6-1) experimental; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Wed, 5 May 2004 18:35:56 +0200

pike7.6 (7.6.5-1) experimental; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Sat, 1 May 2004 18:35:04 +0200

pike7.6 (7.6.4-1) experimental; urgency=low

  * Release number bumped by export.pike.

 -- Marek Habersack <grendel@debian.org>  Sat, 1 May 2004 18:32:26 +0200

pike7.6 (7.6.3-1) experimental; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 26 Apr 2004 2:19:59 +0200

pike7.6 (7.6.2-1) experimental; urgency=low

  * Release number bumped by export.pike.

 -- Pike build system <pike-devel@lists.lysator.liu.se>  Mon, 26 Apr 2004 2:17:57 +0200

pike7.5 (7.5.27-2) experimental; urgency=low

  * The latest CVS snapshot

 -- Marek Habersack <grendel@debian.org>  Fri, 23 Apr 2004 17:49:47 +0200

pike7.5 (7.5.27-1) experimental; urgency=low

  * The latest cvs snapshot

 -- Pike build system <pike-devel@lists.lysator.liu.se>  Sat, 17 Apr 2004 17:57:50 +0200

pike7.5 (7.5.26-1) experimental; urgency=low

  * Release number bumped by export.pike.

 -- Pike build system <pike-devel@lists.lysator.liu.se>  Sat, 17 Apr 2004 17:56:36 +0200

pike7.5 (7.5.25-1) experimental; urgency=low

  * The latest CVS snapshot

 -- Marek Habersack <grendel@debian.org>  Sun,  4 Apr 2004 01:48:49 +0200

pike7.5 (7.5.23-2) experimental; urgency=low

  * The latest CVS update

 -- Marek Habersack <grendel@debian.org>  Fri,  2 Apr 2004 16:49:26 +0200

pike7.5 (7.5.23-1) experimental; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 29 Mar 2004 17:28:21 +0200

pike7.5 (7.5.21-1) experimental; urgency=low

  * The latest cvs snapshot

 -- Marek Habersack <grendel@debian.org>  Wed, 17 Mar 2004 14:13:19 +0100

pike7.5 (7.5.19-2) experimental; urgency=low

  * Creation of directories in /usr/local won't fail now
    (closes: Bug#234694)

 -- Marek Habersack <grendel@debian.org>  Thu, 26 Feb 2004 01:28:15 +0100

pike7.5 (7.5.19-1) experimental; urgency=low

  * The latest upstream update

 -- Marek Habersack <grendel@debian.org>  Mon, 23 Feb 2004 22:42:46 +0100

pike7.5 (7.5.17-2) experimental; urgency=low

  * Latest CVS snapshot.

 -- Marek Habersack <grendel@debian.org>  Wed, 14 Jan 2004 19:53:42 +0100

pike7.5 (7.5.17-1) experimental; urgency=low

  * The latest cvs snapshot.
  * Disabled using the machine code in the pike bytecode. It poses a
    security risk and breaks under kernels with exec-shield or PAX.

 -- Marek Habersack <grendel@debian.org>  Tue,  9 Dec 2003 17:01:16 +0100

pike7.5 (7.5.12-2) experimental; urgency=low

  * Added libnettle to the build dependencies.

 -- Marek Habersack <grendel@debian.org>  Tue, 11 Nov 2003 18:24:24 +0100

pike7.5 (7.5.12-1) experimental; urgency=low

  * Catching up on version numbers.
  * First upload to Debian/experimental.

 -- Marek Habersack <grendel@debian.org>  Sat, 30 Oct 2003 22:46:18 +0100

pike7.5 (7.5.5-1) unstable; urgency=low

  * Latest upstream version.

 -- Marek Habersack <grendel@debian.org>  Sat, 29 Mar 2003 01:46:01 +0100

pike7.5 (7.5.3-2) unstable; urgency=low

  * Latest upstream version.
  * Rediffed the Debian patches to work with the current sources.

 -- Marek Habersack <grendel@debian.org>  Wed, 19 Mar 2003 13:42:44 +0100

pike7.5 (7.5.3-1) unstable; urgency=low

  * Latest upstream version.

 -- Marek Habersack <grendel@debian.org>  Wed,  5 Feb 2003 19:07:40 +0100

pike7.5 (7.5.2-1) unstable; urgency=low

  * Latest upstream version.
  * No sparc machine code for now.
  * Updated the mesagl dependencies.

 -- Marek Habersack <grendel@debian.org>  Wed,  5 Feb 2003 01:19:37 +0100

pike7.5 (7.5.1-3) unstable; urgency=low

  * A bug in the sparc machine code causing a segfault was fixed.

 -- Marek Habersack <grendel@debian.org>  Mon,  3 Feb 2003 17:16:46 +0100

pike7.5 (7.5.1-2) unstable; urgency=low

  * Pike is installed using the --new-style layout now.

 -- Marek Habersack <grendel@debian.org>  Tue, 28 Jan 2003 00:36:59 +0100

pike7.5 (7.5.1-1) unstable; urgency=low

  * Latest upstream version.

 -- Marek Habersack <grendel@debian.org>  Fri,  6 Dec 2002 05:20:15 +0100

pike7.3 (7.3.62-1) unstable; urgency=low

  * Latest upstream version. The most important changes:
        * lib/modules/Tools.pmod/AutoDoc.pmod/DocParser.pmod: Fixed broken
          support for typedef.
        * src/modules/Gz/module.pmod.in: Now supports zlib's which lack the
          eof() function.
        * src/modules/Gz/module.pmod.in: Now behaves if zlib isn't
          available.
        * src/builtin_functions.c: Moved some debug functions to Debug.
          Updated sleep doc. Fixed describe_backtrace type.
        * src/builtin.cmod: Move _describe_program to
          Debug.describe_program.
        * src/modules/Gz/testsuite.in: Added test for Gz.File().
        * lib/modules/MIME.pmod/module.pmod: When doing guessy style MIME
          decoding, inherit the guess attribute for multipart message parts.
        * src/modules/Gz/zlibmod.c: Fixed nasty null-termination bug.
        * src/post_modules/Shuffler/Shuffler.cmod: Patched Shuffler module
          some more. This patch should fix some of the problems with the
          shuffler accessing references that have been destructed.
        * lib/modules/Filesystem.pmod/Tar.pmod: Bugfix: Since lookups are
          done with normalized paths, we need to normalize the paths in
          filename{s,_to_entry} as well to get proper matches.
        * src/pike_memory.h: Added a macro to detect whether a memory
          checker is in use, so that conflicting debug checks can be avoided.
        * lib/master.pike.in, src/svalue.c,
          lib/modules/Tools.pmod/testsuite.in: Make %O default output for
          objects and programs better.
        * lib/modules/Stdio.pmod/module.pmod, src/modules/files/file.c,
          src/modules/files/termios.c: Document the low level I/O functions
          in Stdio.File and not Fd.
          .
          Designwise motivation: Fd and Fd_ref ought to be considered
          internal; Stdio.File is the lowest "official" API level.
          .
          Practical motivation: It's _much_ easier to find the functions in
          the generated docs, despite the small pointer to Fd in Stdio.File.
        * lib/modules/Protocols.pmod/HTTP.pmod/Server.pmod/SSLPort.pike:
          added SSL support to the simple webserver. Based on SSL.https, but
          behaves exactly like Protocols.HTTP.Server.Port, except for SSL.
        * lib/master.pike.in: - Changed some search(x,y)!=-1 into
          has_value(x,y) - Optimized Getopt call by using local variables for
          NO_ARG,   MAY_HAVE_ARG and HAS_ARG.  - Optimized Getopt call by
          always having five elements per argument,   so that Getopt need not
          rewrite the array.  - Always accept the --autoreload option so that
          we are silenty  ignoring it if Pike has not autoreload (instead of
          bailing out with strange error messages (that changes depending
          on the number and   order of options)).

 -- Marek Habersack <grendel@debian.org>  Mon, 25 Nov 2002 18:43:54 +0100

pike7.3 (7.3.60-2) unstable; urgency=low

  * Latest cvs snapshot. The most important changes:
        * lib/modules/Protocols.pmod/HTTP.pmod/module.pmod: Added missing
          file argument for put_url().
        * lib/modules/Array.pmod: CHANGES says that there should be an
          Array.Iterator.  So let's have one.
        * lib/modules/Parser.pmod/XML.pmod/DOM.pmod: Added iterators, nice
          _sprintf to Nodes, and made all lfuns static.
        * src/post_modules/Shuffler/Shuffler.cmod: If the done-callback
          destroyed the shuffler object, the shuffler crashed when signaling
          that data wasn't sent thru the give_back function. This might have
          other implications but seems to work as a fix for now.

 -- Marek Habersack <grendel@debian.org>  Sat,  9 Nov 2002 19:46:43 +0100

pike7.3 (7.3.60-1) unstable; urgency=low

  * Latest upstream version. The most important changes:
        * src/code/: ppc32.c, ppc32.h: Implemented OPCODE_INLINE_BRANCH
	  interface for PPC.
        * src/dlopen.c: Some more IA64 fixes.
        * lib/modules/Protocols.pmod/HTTP.pmod/Query.pike: added the
          possibility to have array values in headers mapping to allow
          multiple headers
        * src/dlopen.c: The IA64 global offset table is now at the end of
          the datasegment, so that gp-relative offsets have a chance at
          working.
        * lib/modules/Standards.pmod/RDF.pike: Improved API and working
          N-triple parsing.
        * src/threads.c: Added a reference from MutexKey to the mutex
          object it holds, so that the latter won't be refcount garbed (which
          causes both to be destructed) if there are no other references.

 -- Marek Habersack <grendel@debian.org>  Mon,  4 Nov 2002 22:32:36 +0100

pike7.3 (7.3.58-3) unstable; urgency=low

  * Removed the sybase module as it doesn't work on Debian.

 -- Marek Habersack <grendel@debian.org>  Wed, 23 Oct 2002 02:16:53 +0200

pike7.3 (7.3.58-2) unstable; urgency=low

  * Latest CVS snapshot.

 -- Marek Habersack <grendel@debian.org>  Mon, 21 Oct 2002 03:01:06 +0200

pike7.3 (7.3.58-1) unstable; urgency=low

  * Latest upstream version. The most important changes:
        * lib/modules/Parser.pmod/XML.pmod/Tree.pmod: Better typing.
        * lib/modules/Array.pmod: Fixed a border problem in Array.sum
        * src/builtin.cmod: Fixed leak of the strings "string" and "int".
        * lib/modules/String.pmod/module.pmod: Removed the deprecated
          strmult and String_buffer (compatibility is already in place).
          Fixed a soundex bug. Made int2roman and int2size throw an error
          when input is out of range. Fixed an off by one error for the
          bytes/kb transition in int2size.
        * lib/modules/Parser.pmod/Pike.pmod: Parse binary numbers.
        * lib/modules/Standards.pmod/EXIF.pmod: Better EXIF support. Some
          API changes: get_properties only accepts Stdio.File objects.
          MN_Multi1 is renamed to MN_Multi3.
        * src/: builtin.cmod, builtin_functions.c: It's better to throw
          errors than return zero if ctime(), localtime() or gmtime() fails.
        * src/builtin.cmod: Fixed missing checks for NULL from gmtime(2),
          localtime(2) and ctime(2) which could cause segfaults. E.g. on NT
          they don't handle negative time stamps.
        * src/modules/: HTTPLoop/log.c, Oracle/oracle.c, spider/discdate.c:
          Fixed missing checks for NULL from gmtime(2), localtime(2) and
          ctime(2) which could cause segfaults. E.g. on NT they don't handle
          negative time stamps.
        * src/builtin_functions.c: Fixed missing checks for NULL from
          gmtime(2) and localtime(2) which could cause segfaults. E.g. on NT
          they don't handle negative time stamps.
        * lib/modules/Remote.pmod/connection.pike: Fixed races that could
          cause synchronous calls to hang in threaded mode.  It's still
          unclear whether a connection close is handled cleanly, though. 
          Better handling of exceptions from close callbacks.

 -- Marek Habersack <grendel@debian.org>  Fri, 18 Oct 2002 22:49:02 +0200

pike7.3 (7.3.56-2) unstable; urgency=low

  * Latest CVS snapshot.

 -- Marek Habersack <grendel@debian.org>  Fri, 18 Oct 2002 01:37:36 +0200

pike7.3 (7.3.56-1) unstable; urgency=low

  * Latest upstream version. The most important changes:
        * src/: docode.c, interpret_functions.h: Replaced the F_THROW_ZERO
          opcode used at normal exit from catch blocks with F_EXIT_CATCH,
          which uses the newer escape catch feature. This avoids a longjmp at
          the normal exit of every catch block.
          Also changed the return value for normal catch block exits to be
          UNDEFINED and not zero.
        * lib/modules/Parser.pmod/C.pmod: Added index possibility on
          tokens.
        * src/program.c: Use safe_apply_handler for calling
          get_default_module, to get better checking of the return value and
          to get correct handling of return values that are false.
          This fixes a bug in the odd recursion that involves the compat
          handler and e.g. lib/7.2/modules/__default.pmod which itself
          contains "#pike 7.2": The second time get_default_module is called
          it'll resolve an unfinished program with "__default" and thus get a
          function pointer that evaluates to false.
        * bin/pike.in, src/Makefile.in, src/builtin_functions.c,
          src/error.c: Set a breakpoint on pike_gdb_breakpoint by default
          when gdb is started. Made it accessible from pike with
          "_gdb_breakpoint" to make it convenient to enter gdb at a specific
          point in the pike code.

 -- Marek Habersack <grendel@debian.org>  Wed, 25 Sep 2002 02:47:40 +0200

pike7.3 (7.3.55-1) unstable; urgency=low

  * Latest upstream version. The most important changes:
        * src/modules/Gz/: configure.in, zlibmod.c: The Gz module now
          supports old versions of zlib again.  Most notably seek(), tell(),
          eof() and setparams() are now optionally implemented in Gz._file.
        * lib/master.pike.in: Added include_prefix.
        * src/builtin_functions.c: More information about the use and
          limits of mktime().
        * src/main.c: Now calls tzset() to initialize timezone et al.
        * lib/modules/Protocols.pmod/LDAP.pmod/client.pike: add catch to
          prevent search from bombing out when talking to active directory
          servers. this is not a good fix, as the cause seems to be referrer
          data.
          This will need to be looked at more closely, but it at least allows
          us to talk to m$ systems.
        * lib/modules/Protocols.pmod/LDAP.pmod/client.pike: fixed create()
          so that connection is actually made when SSL support is not
          present.
        * lib/master.pike.in: Added -x option to run tools from 
	  Tools.Standalone.

 -- Marek Habersack <grendel@debian.org>  Fri, 13 Sep 2002 15:44:33 +0200

pike7.3 (7.3.53-1) unstable; urgency=low

  * Latest upstream version. The most important changes:
        * src/modules/Perl/perlmod.c: Adjustment to work better with Perl
          5.8.0, plus a few minor layout changes to make the code nicer to
          read.
        * lib/modules/Local.pmod: Added support for specifying paths using
          the PIKE_LOCAL_PATH environment variable.
        * src/language.yacc: Fixed typing for intranges with bignum
          intervals.
        * lib/modules/Stdio.pmod/GZipFile.pike: Added basic support for
          reading and writing gzip files.  This is the first version and it
          is still a bit experimental.  Uses Gz._file() for lowlevel support.
        * src/modules/Gz/zlibmod.c: Added basic support for reading and
          writing gzip files.  Lowlevel functions are located in Gz._file().
        * src/builtin_functions.c: Fixed incorrect info about rusage() and
          added a bit more description about some of the items.
        * src/language.yacc: Added the "global" keyword to
          magic_identifiers so it can be used after ->.
        * src/pike_types.c: parse_type() now supports the syntax
          object(this_program), and defaults to implements mode.
        * src/modules/Postgres/: configure.in, pgres_config.h.in,
          postgres.c: this makes the Postgres module detect/work correctly
          with the PostgreSQL 7.2+

 -- Marek Habersack <grendel@debian.org>  Sun,  1 Sep 2002 00:22:22 +0200

pike7.3 (7.3.51-4) unstable; urgency=low

  * Enabled the Pike security.
  * Build-conflicts with libutahglx since the latter doesn't conform
    to the Linux OpenGL ABI
  * Added correct build dependencies for Debian/Sid

 -- Marek Habersack <grendel@debian.org>  Fri, 23 Aug 2002 02:47:22 +0200

pike7.3 (7.3.51-3) unstable; urgency=low

  * Added the -svg package.
  * Most packages now link to the -core doc directory.

 -- Marek Habersack <grendel@debian.org>  Sat, 10 Aug 2002 21:27:04 +0200

pike7.3 (7.3.51-2) unstable; urgency=low

  * The Debian packaging setup merged with the upstream sources under
    the packaging/debian/ directory.
  * Patches previously applied to the sources before generating the 
    Debian diff are now applied on the compile time.
  * Most packages depend on pikeX.Y-core now.

 -- Marek Habersack <grendel@debian.org>  Tue,  6 Aug 2002 00:36:53 +0200

pike7.3 (7.3.51-1) unstable; urgency=low

  * Latest CVS snapshot
  * the -crypto and -gz packages are merged with the core Pike package.
  * the -doc package is split into -manual and -reference and
  * The pike7.3 package became a meta package that installs a subset
    of all the Pike packages present in Debian. This subset makes up a
    recommended Pike environment for most systems.

 -- Marek Habersack <grendel@debian.org>  Wed, 31 Jul 2002 23:35:18 +0200

pike7.3 (7.3.49-2) unstable; urgency=low

  * Latest CVS snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 29 Jul 2002 10:23:44 +0200

pike7.3 (7.3.49-1) unstable; urgency=low

  * Latest CVS snapshot

 -- Marek Habersack <grendel@debian.org>  Mon, 15 Jul 2002 23:21:33 +0200

pike7.3 (7.3.47-1) unstable; urgency=low

  * Latest CVS snapshot

 -- Marek Habersack <grendel@debian.org>  Wed, 12 Jun 2002 18:13:12 +0200

pike7.3 (7.3.45-1) unstable; urgency=low

  * Latest CVS snapshot

 -- Marek Habersack <grendel@debian.org>  Fri, 17 May 2002 16:41:09 +0200

pike7.3 (7.3.41-1) unstable; urgency=low

  * Initial Release.

 -- Marek Habersack <grendel@debian.org>  Sun,  5 May 2002 01:34:05 +0200

